Skip to main content
GET
/
v2
/
kyc
/
status
List all KYC statuses
curl --request GET \
  --url https://production.hifibridge.com/v2/kyc/status \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://production.hifibridge.com/v2/kyc/status"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://production.hifibridge.com/v2/kyc/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "user": {
      "id": "35dbc7ea-2877-4a70-add6-b5458289df23",
      "type": "individual",
      "name": "John Doe",
      "email": "jd@hifibridge.com"
    },
    "rails": "USD",
    "createdAt": "2023-10-01T12:00:00Z",
    "updatedAt": "2023-10-02T12:00:00Z",
    "status": "ACTIVE"
  }
]
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}
{
"status": "error",
"error": {
"code": "<string>",
"message": "<string>"
}
}
{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

userId
string

The user ID.

userName
string
userEmail
string
rails
enum<string>

The type of rail.

Available options:
USD,
SOUTH_AMERICA_STANDARD,
AFRICA_GENERAL,
AFRICA_NIGERIA,
GLOBAL_NETWORK,
USD_FIAT
status
enum<string>[]

The statuses of the KYC.

Minimum array length: 1

Kyc Status

  • INACTIVE: No KYC submission has been made.
  • CREATED: KYC application has been submitted.
  • PENDING: Review in progress.
  • RFI_PENDING: An RFI (Request for Information) email has been sent and is pending user response.
  • INCOMPLETE: RFI or resubmission required.
  • ACTIVE: User approved and onboarded.
  • REJECTED: KYC application rejected.
  • CONTACT_SUPPORT: Unexpected issue encountered during KYC review.
Available options:
INACTIVE,
CREATED,
PENDING,
INCOMPLETE,
RFI_PENDING,
ACTIVE,
REJECTED,
CONTACT_SUPPORT
limit
string

default to 10, maximum to 100

createdBefore
string<date>

ISO format: YYYY-MM-DD

createdAfter
string<date>

ISO format: YYYY-MM-DD

Response

Success

user
object
rails
enum<string>

The type of rail.

Available options:
USD,
SOUTH_AMERICA_STANDARD,
AFRICA_GENERAL,
AFRICA_NIGERIA,
GLOBAL_NETWORK,
USD_FIAT
createdAt
string<date-time>
updatedAt
string<date-time>
status
enum<string>

Kyc Status

  • INACTIVE: No KYC submission has been made.
  • CREATED: KYC application has been submitted.
  • PENDING: Review in progress.
  • RFI_PENDING: An RFI (Request for Information) email has been sent and is pending user response.
  • INCOMPLETE: RFI or resubmission required.
  • ACTIVE: User approved and onboarded.
  • REJECTED: KYC application rejected.
  • CONTACT_SUPPORT: Unexpected issue encountered during KYC review.
Available options:
INACTIVE,
CREATED,
PENDING,
INCOMPLETE,
RFI_PENDING,
ACTIVE,
REJECTED,
CONTACT_SUPPORT